/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
 * This is GNU GO, a Go program. Contact gnugo@gnu.org, or see   *
 * http://www.gnu.org/software/gnugo/ for more information.      *
 *                                                               *
 * Copyright 1999 and 2000 by the Free Software Foundation.      *
 *                                                               *
 * This program is free software; you can redistribute it and/or *
 * modify it under the terms of the GNU General Public License   *
 * as published by the Free Software Foundation - version 2.     *
 *                                                               *
 * This program is distributed in the hope that it will be       *
 * useful, but WITHOUT ANY WARRANTY; without even the implied    *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR       *
 * PURPOSE.  See the GNU General Public License in file COPYING  *
 * for more details.                                             *
 *                                                               *
 * You should have received a copy of the GNU General Public     *
 * License along with this program; if not, write to the Free    *
 * Software Foundation, Inc., 59 Temple Place - Suite 330,       *
 * Boston, MA 02111, USA                                         *
\* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#include "sgfkey.h"

/* ================================================================ */
/*                     sgfkey functions                             */
/* ================================================================ */

/*
 * combine two characters into a short.
 */

sgfkey
str2sgfkey(const char *name)
{
  if (strlen(name) == 1) 
    return name[0] | (short) (' ' << 8);
  else
    return name[0] | name[1] << 8;
}

char
sgfkey2str0(sgfkey key)
{
  char str0;
  str0 = key & 0xff;
  return str0;
}

char
sgfkey2str1(sgfkey key)
{
  char str1;
  str1 = (key >> 8) & 0xff;
  return str1;
}


/*
 * Local Variables:
 * tab-width: 8
 * c-basic-offset: 2
 * End:
 */
